Create MCP
curl --request POST \
--url https://api.trugen.ai/v1/ext/mcp \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Livekit Docs",
"description": "MCP server to get livekit info",
"type": "shttp/sse",
"request_config": {
"url": "https://www.example.com/in",
"headers": {
"User-Agent": "Trugen Avatar",
"Accept": "application/json"
}
}
}
'import requests
url = "https://api.trugen.ai/v1/ext/mcp"
payload = {
"name": "Livekit Docs",
"description": "MCP server to get livekit info",
"type": "shttp/sse",
"request_config": {
"url": "https://www.example.com/in",
"headers": {
"User-Agent": "Trugen Avatar",
"Accept": "application/json"
}
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Livekit Docs',
description: 'MCP server to get livekit info',
type: 'shttp/sse',
request_config: {
url: 'https://www.example.com/in',
headers: {'User-Agent': 'Trugen Avatar', Accept: 'application/json'}
}
})
};
fetch('https://api.trugen.ai/v1/ext/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "Invalid request body"
}{
"error": "Unauthorized: not a valid authorization api key"
}MCPs
Create MCP
Create a new MCP server configuration.
POST
/
ext
/
mcp
Create MCP
Authorizations
Body
application/json
Was this page helpful?
⌘I